Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.builders.impl
Class ConsultationFullMessageBuilder

    java.lang.Object
      be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder<GetFullMessageResponse>
          be.ehealth.businessconnector.ehbox.v3.builders.impl.ConsultationFullMessageBuilder

    public class ConsultationFullMessageBuilder

extends AbstractConsultationBuilder<GetFullMessageResponse>

Implementation of `AbstractConsultationBuilder`

Constructor Summary
`ConsultationFullMessageBuilder()`
`ConsultationFullMessageBuilder(Crypto crypto)` Deprecated. use the same without parameters.

Method Summary
`Message<GetFullMessageResponse>` | `buildFullMessage(GetFullMessageResponse response)`

Methods inherited from class be.ehealth.businessconnector.ehbox.v3.builders.impl.AbstractConsultationBuilder
`buildAddressee, buildAddressee`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultationFullMessageBuilder

    @Deprecated
    public ConsultationFullMessageBuilder(Crypto crypto)

  Deprecated. use the same without parameters.

  creates a new `ConsultationFullMessageBuilder`.

  Parameters:
    `crypto` -

### ConsultationFullMessageBuilder

    public ConsultationFullMessageBuilder()

Method Detail

### buildFullMessage

    public final Message<GetFullMessageResponse> buildFullMessage(GetFullMessageResponse response)
                                                           throws EhboxBusinessConnectorException,
                                                                  TechnicalConnectorException

  Throws:
    `EhboxBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `ConsultationMessageBuilder.buildFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.